/******************************************************************************
 * Filename: loop1.c
 *
 * Created: 2012/05/23 16:23
 * Author: Ladislav Láska
 * e-mail: laska@kam.mff.cuni.cz
 *
 ******************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main(int argc, char **argv) {
	if (argc <= 1) return -1;
	int k = atoi(argv[1]);;

	if (k <= 2) return -1;

	char *nums = malloc(k);
	memset(nums, 0, k);

	for (int i = 2; i < (k/2+1); i++) {
		for (int j = i*2; j < k; j += i)
			nums[j] = 1;
	}

	for (int i = 2; i < k; i++) 
		if (nums[i] == 0)
			printf("%i ", i);
	
	printf("\n");


	free(nums);
	return 0;
}

