/******************************************************************************
 * Filename: config.h
 *
 * Created: 2012/03/15 23:13
 * Author: Ladislav Láska
 * e-mail: laska@kam.mff.cuni.cz
 *
 ******************************************************************************/

#ifndef __CONFIG_H__
#define __CONFIG_H__

#ifndef PYTHON_PREFIX
#define PYTHON_PREFIX "."
#endif

extern int _config_show_bblocks;
extern int _config_instr_bytes_per_line;
extern int _config_gidis_arrow_size;
extern int _config_gidis_show_aliases;
extern int _config_gidis_view_layouts[][5];

#define CONFIG_TOGGLE(var) _config_##var = (_config_##var + 1) % 2

int idis_config_load();

#endif
