/******************************************************************************
 * Filename: disasm.h
 * Description:
 *
 * Version: 1.0
 * Created: Sep 11 2011 20:21:09
 * Last modified: Sep 11 2011 20:21:09
 *
 * Author: Ladislav Láska
 * e-mail: ladislav.laska@gmail.com
 *
 ******************************************************************************/
#ifndef _CORE_DISASM_H_
#define _CORE_DISASM_H_

#include "program.h"	
#include "instr.h"

void idis_disassemble_section(struct section *sec);
struct program *idis_disassemble_file(char *file);
void idis_dump_program(struct program *prg);
void idis_close_program(struct program *prg);

#endif
