/******************************************************************************
 * Filename: mem.h
 *
 * Created: 2012/05/21 19:57
 * Author: Ladislav Láska
 * e-mail: laska@kam.mff.cuni.cz
 *
 ******************************************************************************/

#ifndef __MEM_H__
#define __MEM_H__

#include "instr.h"
#include "program.h"

unsigned char idis_mem_read_byte( struct program *prg, vmaddr_t vmaddr );
long long int idis_mem_read_long( struct program *prg, vmaddr_t vmaddr );
char *idis_mem_read_string( struct program *prg, vmaddr_t vmaddr );

#endif
