/******************************************************************************
 * Filename: userdata.h
 *
 * Created: 2012/05/23 23:13
 * Author: Ladislav Láska
 * e-mail: laska@kam.mff.cuni.cz
 *
 ******************************************************************************/

#ifndef __USERDATA_H__
#define __USERDATA_H__

#include "python.h"

#include "instr.h"

struct userdata *idis_instr_add_userdata( struct instr *instr, unsigned int type );
void idis_instr_add_comment( struct instr *instr, char *ptr );
void idis_instr_add_annotate_hook( struct instr *instr, PyObject *callback, PyObject *data );
void idis_instr_free_userdata( struct userdata *ud );

#endif
