%inline %{
    struct _lists { 
        int dummy;
    };
%}   


%define %wrap_array(STRUCT,TYPE,ARRAY,NMEMB)
%rename(_##ARRAY) ARRAY;
%extend STRUCT {
%pythoncode %{
class ARRAY##_list:
    def __init__(self, ARRAY, NMEMB):
        self.ARRAY = ARRAY
        self.NMEMB = NMEMB

    def __len__(self):
        return self.NMEMB

    def __getitem__(self, index):
        if index < self.NMEMB:
            return extract_##STRUCT##_##TYPE (self.ARRAY, index)
        else:
            raise IndexError 
%}
}
%extend STRUCT {
%pythoncode %{
__swig_getmethods__["ARRAY"] = lambda obj: STRUCT.##ARRAY##_list(obj._##ARRAY,obj.NMEMB)
%}
}

%inline %{
extern struct TYPE *_idis_extract_##STRUCT##_##TYPE(struct TYPE **array, int i);

struct TYPE *_idis_extract_##STRUCT##_##TYPE(struct TYPE **array, int i) { return array[i]; }
%}
%enddef

