%module gidis

%rename("%(regex:/gidis_(.*)/\\1/)s") "";
%rename("%(regex:/gidis_view_(.*)/\\1/)s") "";

%include "../core/wrap_array.i"


%include "context_menu.h"
%include "view.h"
%include "command.h"
%include "editor.h"
%include "alias.h"
%include "keys.h"

%{
#define SWIG_FILE_WITH_INIT
#include "context_menu.h"
#include "view.h"
#include "command.h"
#include "editor.h"
#include "alias.h"
#include "keys.h"
%}


%pythoncode %{
import idis

def strop(instr, op):
    s = alias_lookup(op.expr);
    if s == None or not alias_enabled():
        return idis.strop(instr, op);
    else:
        return s;

def strexpr(expr):
    s = alias_lookup(expr);
    if s == None or not alias_enabled():
        return str(expr);
    else:
        return s;
%}
