/******************************************************************************
 * Filename: region.h
 *
 * Created: 2012/03/26 12:50
 * Author: Ladislav Láska
 * e-mail: laska@kam.mff.cuni.cz
 *
 ******************************************************************************/

#ifndef __REGION_H__
#define __REGION_H__

#include "view.h"
#include <gtk/gtk.h>

extern cairo_font_extents_t fx;
extern struct view_state _gidis_view_state;

void gidis_region_start(cairo_t *cr, struct region *region);
void gidis_region_end(cairo_t *cr, struct region *region);
void gidis_region_invert(cairo_t *cr, struct region *region);
struct region *gidis_region_at(int x, int y);
struct region *gidis_region_byid(struct instr_info *info, int id);
struct region *gidis_region_new(struct instr_info *info, int id);
void gidis_region_free(struct region *region);
void gidis_region_draw(cairo_t *cr, struct instr_info *info, struct region *region );

#endif
