import idis, gidis

myop = None;

def alias_callback(program, instr, op):
	global myop;
	myop = op;
	gidis.editor_start_text(":rename ");

def alias_command(program, instr, args):
	if args != "":
		gidis.alias_expr(args, myop.expr);
	else:
		gidis.show_error("Cannot insert empty name.");

def init_hook():
	gidis.add_context_hook("Rename", gidis.CMT_OPERAND, alias_callback);
	gidis.add_command_hook("rename", alias_command);
