import idis

def valueof(prg, bblock, reg):
	if bblock == None: return None;
	failreg = None;
	for instr in reversed(bblock.instrs):
		if instr.mnem == "mov" and instr.dst and instr.dst.type == idis.OT_REG and idis.reg_subset(instr.dst.val, reg):
			if instr.src.type != idis.OT_REG:
				return idis.expr_simplify(instr.src.expr, prg, instr);
			else: 
				if failreg == None: failreg = idis.expr_simplify(instr.dst.expr, prg, instr);
				reg = instr.src.val;
		if instr.mnem == "lea" and instr.dst and instr.dst.type == idis.OT_REG and idis.reg_subset(instr.dst.val, reg):
			return idis.expr_simplify(instr.src.expr, prg, instr).ops[0];
	return failreg;
