/******************************************************************************
 * Filename: core.h
 * Description:
 *
 * Version: 1.0
 * Created: Sep 11 2011 20:06:55
 * Last modified: Sep 11 2011 20:06:55
 *
 * Author: Ladislav Láska
 * e-mail: ladislav.laska@gmail.com
 *
 ******************************************************************************/
#ifndef _CORE_H_
#define _CORE_H_

#include "core/python.h"
#include "core/core.h"
#include "core/error.h"
#include "core/disasm.h"
#include "core/symbol.h"
#include "core/program.h"
#include "core/debug.h"
#include "core/messages.h"
#include "core/constants.h"
#include "core/instr.h"
#include "core/util.h"
#include "core/assumption.h"
#include "core/expr.h"
#include "core/serializer.h"
#include "core/mem.h"
#include "core/reg.h"
#include "core/userdata.h"
#include "core/bblock.h"


#endif
