/******************************************************************************
 * Filename: assumption.c
 *
 * Created: 2012/01/07 17:15
 * Author: Ladislav Láska
 * e-mail: laska@kam.mff.cuni.cz
 *
 ******************************************************************************/

#include "program.h"
#include "instr.h"
#include "assumption.h"

struct assumption _idis_assumption_getfor_buff;

struct assumption* idis_assumption_getfor(struct program *prg, struct instr *instr, int key_type, int key ) {
	struct assumption *a = NULL;
	if ((key_type == AK_REG) && (key == R_RIP)) {
		a = &_idis_assumption_getfor_buff;
		a->assumption_type = AT_EQUALS;
		a->key_type = AK_REG;
		a->key = key;
		a->value_type = AV_IMM;
		a->value.imm = instr->vmaddr + instr->raw_length;
	}
	return a;
}
