/******************************************************************************
 * Filename: assumption.h
 *
 * Created: 2012/01/07 17:15
 * Author: Ladislav Láska
 * e-mail: laska@kam.mff.cuni.cz
 *
 ******************************************************************************/

#ifndef __ASSUMPTION_H__
#define __ASSUMPTION_H__

#include "instr.h"

typedef struct assumption {
	int assumption_type;
	int key_type;
	int key;
	int value_type;
	union {
		long long imm;
		void *ptr;
	} value;
} assumption_t;

enum {
	AT_EQUALS = 1,
};

enum {
	AK_REG = 1,
};

enum {
	AV_IMM = 1,
};

struct assumption* idis_assumption_getfor(struct program *prg, struct instr *instr, int key_type, int key );

#endif
