/******************************************************************************
 * Filename: bblock.h
 *
 * Created: 2011/11/26 18:25
 * Author: Ladislav Láska
 * e-mail: laska@kam.mff.cuni.cz
 *
 ******************************************************************************/

#ifndef __BBLOCK_H__
#define __BBLOCK_H__

#include "program.h"
#include "instr.h"

void idis_compute_jumps(struct program *prg);
void idis_build_bblocks(struct program *prg);
struct bblock *idis_lookup_bblock( struct program *prg, vmaddr_t vmaddr );
struct bblock *idis_lookup_bblock_by_instr( struct program *prg, struct instr *instr );

#endif
