/******************************************************************************
 * Filename: reg.c
 *
 * Created: 2012/05/22 20:16
 * Author: Ladislav Láska
 * e-mail: laska@kam.mff.cuni.cz
 *
 ******************************************************************************/

#include "instr.h"

int idis_reg_num( int a ) {
	if (a >= _REG_SPECIAL) return a;
	if (a >= _REG64) 
		return a - _REG64;
	if (a >= _REG32)
		return a - _REG32;
	if (a >= _REG16)
		return a - _REG16;
	if (a >= _REG8_REX)
		return a;
	if (a >= _REG8)
		return a - _REG8;
	return 0xffff;
}

int idis_reg_subset( int a, int b ) {
	if (a == b) return 1;
	if (a > b) return 0;
	if (idis_reg_num(a) == idis_reg_num(b)) return 1;
	else return 0;
}
