/******************************************************************************
 * Filename: disasm.c
 * Description:
 *
 * Version: 1.0
 * Created: Sep 11 2011 19:56:47
 * Last modified: Sep 11 2011 19:56:47
 *
 * Author: Ladislav Láska
 * e-mail: ladislav.laska@gmail.com
 *
 ******************************************************************************/

#include "core.h"
#include "gui.h"

int main(int argc, char **argv) {
	idis_core_init();
	//struct program *prg = idis_disassemble_file("../test/crash");
	struct program *prg = NULL;
	if (argc > 1)
		prg = idis_disassemble_file(argv[1]);
	else 
		prg = idis_disassemble_file("disasm");
	if (!prg) idis_die("Could not disassemble given file");

/*	idis_python_load_module("algorithms.commentator"); */
	idis_python_load_module("plugins.plt_decoder");
	
	idis_python_call_hooks(prg, 0);

	idis_dump_program(prg);

/*
	gidis_main(argc, argv, prg);
*/
	idis_close_program(prg);
	idis_core_fini();
	return 0;
}
