/******************************************************************************
 * Filename: alias.h
 *
 * Created: 2012/04/14 21:46
 * Author: Ladislav Láska
 * e-mail: laska@kam.mff.cuni.cz
 *
 ******************************************************************************/

#ifndef __ALIAS_H__
#define __ALIAS_H__

#include <stdlib.h>

enum {
	ERR_GA_INVALID_CONSTANT = -1,
	ERR_GA_EXPR_NOT_SUPPORTED = -2
};

void gidis_alias_init();
void gidis_alias_free();
int gidis_alias_new(char *name, char *expr);
char *gidis_alias_lookup(struct expr *ex);
void gidis_alias_expr(char *name, struct expr *expr);
int gidis_alias_enabled();

#endif
