/******************************************************************************
 * Filename: command.h
 *
 * Created: 2012/03/18 21:55
 * Author: Ladislav Láska
 * e-mail: laska@kam.mff.cuni.cz
 *
 ******************************************************************************/

#ifndef __COMMAND_H__
#define __COMMAND_H__

#include "../core.h"

#include <gtk/gtk.h>

struct cmd_item {
	char *cmd;
	union {
		PyObject *python;
	} callback;
	struct cmd_item *next;
};

char *gidis_command_execute(struct program *prg, char *command );
void gidis_add_command_hook( char *cmd, PyObject *callback );

#endif
