/******************************************************************************
 * Filename: context_menu.h
 *
 * Created: 2012/05/03 13:17
 * Author: Ladislav Láska
 * e-mail: laska@kam.mff.cuni.cz
 *
 ******************************************************************************/

#ifndef __CONTEXT_MENU_H__
#define __CONTEXT_MENU_H__

#include "view.h"

enum {
	CMT_MNEMONIC = 1,
	CMT_OPERAND = 2,
	CMT_ANY = ~0x0
};

struct cm_item {
	char *name;
	int type;
	union {
		PyObject *python;
	} callback;
	struct cm_item *next;
};

void gidis_context_menu_popup(struct instr_info *info, struct region *r);
int gidis_context_menu_build();

void gidis_add_context_hook( char *name, int type, PyObject *obj );



#endif
