/******************************************************************************
 * Filename: gtkmain.c
 *
 * Created: 2012/03/14 17:27
 * Author: Ladislav Láska
 * e-mail: laska@kam.mff.cuni.cz
 *
 ******************************************************************************/

#include "../core.h"
#include <gtk/gtk.h>

#include "view.h"
#include "gidis.h"

	
int gidis_main(int argc, char **argv, struct program *prg) {
	gtk_init(&argc, &argv);

	GtkWidget *main_window;
	GtkWidget *view;

	/* Create main window */
	main_window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
	gtk_window_set_title(GTK_WINDOW(main_window), "IDIS");
	g_signal_connect(main_window, "destroy", G_CALLBACK(gtk_main_quit), NULL);


	view = gidis_view_new( prg );
	gtk_container_add(GTK_CONTAINER(main_window), view);
	
	/* Create cairo canvas on main_window */

	gtk_widget_show_all(main_window);

	gtk_main();

	return 0;
}
