/******************************************************************************
 * Filename: util.h
 *
 * Created: 2012/04/11 21:45
 * Author: Ladislav Láska
 * e-mail: laska@kam.mff.cuni.cz
 *
 ******************************************************************************/

#ifndef __GIDIS_UTIL_H__
#define __GIDIS_UTIL_H__

#include <gtk/gtk.h>

void gidis_util_invert(cairo_t *cr, int x1, int y1, int x2, int y2);
void gidis_util_invert_color(cairo_t *cr, int x1, int y1, int x2, int y2, double r, double g, double b);
void gidis_util_add_color(cairo_t *cr, int x1, int y1, int x2, int y2, double r, double g, double b);
void gidis_util_fill_color(cairo_t *cr, int x1, int y1, int x2, int y2, double r, double g, double b);
void gidis_util_operator(cairo_t *cr, int x1, int y1, int x2, int y2, double r, double g, double b, int op);

#endif
